Bug 504339 - SFTP timeout too short (and cannot be configured)
SFTP timeout too short (and cannot be configured)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 12:39 EDT by Henry Lajoie
Modified: 2015-03-03 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.2.3-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henry Lajoie 2009-06-05 12:39:36 EDT
Description of problem:
SFTP connections time out at 20 seconds, and one network I work on takes a consistent 28 seconds to establish a SSH connection.

Version-Release number of selected component (if applicable):
gvfs-1.0.3-8.fc10.i386

How reproducible:
always (if the network delay is consistent)

Steps to Reproduce:
1. Attempt an SFTP connection on a network that takes >20sec to respond
  
Actual results:
I get a "connection timed out" notice

Expected results:
Either: I could configure the timeout to change (with gconf maybe?) or there would be a dialog with a cancel button similar to when other actions (like opening folders etc) take a long time.

Additional info:
I can mount the remote filesystem just fine with sshfs, and can connect via ssh.  Each one takes a consistent 28 seconds before displaying the password prompt.
Comment 1 Tomáš Bžatek 2009-06-08 11:53:55 EDT
I understand your point, we can just increase the timeout from 20 sec. to say 40 sec., if that's sufficient. We've discussed the possibility for user-configurable timeout but haven't agreed on clean solution as the timeout differs from backend to backend. More work on this is planned.

I've built new gvfs packages for testing, increasing the timeout to 40 sec.
gvfs-1.2.3-2.fc12
gvfs-1.2.3-3.fc11
gvfs-1.0.3-9.fc10
Comment 2 Fedora Update System 2009-06-08 11:55:33 EDT
gvfs-1.0.3-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gvfs-1.0.3-9.fc10
Comment 3 Fedora Update System 2009-06-08 11:57:20 EDT
gvfs-1.2.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gvfs-1.2.3-3.fc11
Comment 4 Fedora Update System 2009-06-15 21:40:00 EDT
gvfs-1.0.3-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6106
Comment 5 Fedora Update System 2009-06-15 21:42:53 EDT
gvfs-1.2.3-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6129
Comment 6 Fedora Update System 2009-06-16 20:47:49 EDT
gvfs-1.2.3-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gvfs-1.2.3-5.fc11
Comment 7 Fedora Update System 2009-06-19 09:32:32 EDT
gvfs-1.2.3-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6678
Comment 8 Fedora Update System 2009-06-23 04:29:29 EDT
gvfs-1.2.3-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gvfs-1.2.3-7.fc11
Comment 9 Fedora Update System 2009-06-26 22:48:20 EDT
gvfs-1.2.3-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.